<template>
  <!--智能保养-->
  <div class="maintenance-body">
    <div class="switch-body">
      <div class="switch-group">
        <div class="switch-item" :class="timeVisible ? 'margin-index' : ''">
          <div class="left">保养时间</div>
          <u-switch :value="timeVisible" v-model="timeVisible" />
          <!-- <div class="right"></div> -->
        </div>
        <div class="switch-item" v-show="timeVisible">
          <div class="left">195天</div>
          <div class="right" @click="changeTimeDialog">设置</div>
        </div>
      </div>
      <div class="switch-group">
        <div class="switch-item" :class="mileVisible ? 'margin-index' : ''">
          <div class="left">保养里程</div>
          <u-switch :value="mileVisible" v-model="mileVisible" />
          <!-- <div class="right"></div> -->
        </div>
        <div class="switch-item" v-show="mileVisible">
          <div class="left">3500</div>
          <div class="right" @click="changeMileDialog">设置</div>
        </div>
      </div>
    </div>
    <img
      src="../../assets/images/setting/setting_car2.webp"
      alt=""
      srcset=""
      class="img-bg"
    />
    <svg-icon
      icon-class="setting_fix"
      class-name="setting-fix"
      v-show="timeVisible"
    ></svg-icon>

    <MainDialog
      class="time-dialog"
      :width="909"
      @close="changeTimeDialog"
      :dialogVisible="timeDialogVisible"
      @changeVisble="changeTimeDialog"
      :bottom-array="bottomArray"
      title="保养时间"
    >
      <template #content>
        <div class="content-container">
          <div>设定保养时间为</div>
          <div class="value-container">
            <div class="last">75</div>
            <div class="current">90</div>
            <div class="next">105</div>
          </div>
          <div class="unit">天</div>
        </div>
      </template>
    </MainDialog>

    <MainDialog
      class="mile-dialog"
      :width="909"
      @close="changeMileDialog"
      :dialogVisible="mileDialogVisible"
      @changeVisble="changeMileDialog"
      :bottom-array="bottomArray"
      title="保养里程"
    >
      <template #content>
        <div class="content-container">
          <div>设定保养里程为</div>
          <div class="value-container">
            <div class="last">3000</div>
            <div class="current">3500</div>
            <div class="next">4000</div>
          </div>
          <div class="unit">公里</div>
        </div>
      </template>
    </MainDialog>
  </div>
</template>

<script>
import MainDialog from "@/components/dialog/MainDialog.vue";
import Select from "@/components/Select.vue";

export default {
  name: "Maintenance",
  components: {
    Select,
    MainDialog,
  },
  data() {
    return {
      timeVisible: true, // 保养时间是否可见
      mileVisible: true, // 保养里程是否可见
      timeDialogVisible: false, // 保养时间弹窗组件
      mileDialogVisible: false, // 保养里程弹窗组件
      bottomArray: [
        {
          name: "确定",
          color: "#4393EE",
        },
        {
          name: "取消",
          color: "#000000",
        },
      ],
    };
  },
  methods: {
    changeTimeDialog() {
      this.timeDialogVisible = !this.timeDialogVisible;
    },
    changeMileDialog() {
      this.mileDialogVisible = !this.mileDialogVisible;
    },
  },
};
</script>

<style scoped lang="scss">
.maintenance-body {
  position: relative;
  height: 100%;

  .img-bg {
    width: 897px;
    height: 597px;
    position: absolute;
    right: 0;
    top: 140px;
  }

  .switch-body {
    width: 688px;
  }

  .switch-group {
    width: 688px;
    padding: 35px 40px 43px 40px;
    box-sizing: border-box;
    margin-bottom: 15px;
    background: #ffffff;
    border-radius: 20px;

    .switch-item {
      width: 100%;
      display: flex;
      align-items: center;
      justify-content: space-between;

      .left {
        font-size: 28px;
        font-weight: 400;
        color: #090909;
        line-height: 33px;
      }

      .right {
        font-size: 28px;
        font-weight: 400;
        color: #479af2;
        line-height: 33px;
      }
    }

    .margin-index {
      margin-bottom: 68px;
    }
  }

  .setting-fix {
    position: absolute;
    top: 63px;
    right: 38px;
    width: 72px;
    height: 72px;
  }

  .time-dialog,
  .mile-dialog {
    font-size: 30px;
    font-weight: normal;
    line-height: normal;
    letter-spacing: -0.01em;
    font-feature-settings: "kern" on;
    color: #000000;

    .content-container {
      margin: 44px 0 65px;
      display: flex;
      justify-content: center;
      align-items: center;
    }

    .value-container {
      margin: 0 81px 0 105px;
      display: flex;
      flex-direction: column;
      align-items: center;
      text-align: center;
      font-size: 42px;
      font-weight: normal;
      line-height: normal;
      letter-spacing: -0.01em;

      font-feature-settings: "kern" on;
      color: #cfd4dc;

      .current {
        font-size: 42px;
        font-weight: normal;
        line-height: normal;
        letter-spacing: -0.01em;
        font-feature-settings: "kern" on;
        color: #4393ee;
        margin: 20px 0;
      }
    }
  }
}
</style>
